Bug 13069 - Enable sort by title to ignore articles on circulation and patron detail pages
Summary: Enable sort by title to ignore articles on circulation and patron detail pages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Whiteboard:
Keywords: rel_3_18_candidate
Depends on:
Blocks:
 
Reported: 2014-10-10 16:41 UTC by Owen Leonard
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13069 - Enable sort by title to ignore articles on circulation and patron detail pages (1.59 KB, patch)
2014-10-10 16:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13069 - Enable sort by title to ignore articles on circulation and patron detail pages (1.61 KB, patch)
2014-10-11 14:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13069 - (follow-up) Enable sort by title to ignore articles (1.08 KB, patch)
2014-10-11 14:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13069 - Enable sort by title to ignore articles on circulation and patron detail pages (2.03 KB, patch)
2015-03-31 03:04 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13069 - (follow-up) Enable sort by title to ignore articles (1.24 KB, patch)
2015-03-31 03:04 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 13069 - Enable sort by title to ignore articles on circulation and patron detail pages (2.10 KB, patch)
2015-04-03 17:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13069 - (follow-up) Enable sort by title to ignore articles (1.31 KB, patch)
2015-04-03 17:45 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-10-10 16:41:09 UTC
With the conversion of the circulation and patron detail checkout summary tables to AJAX recently we lost the ability to sort by title while ignoring articles.
Comment 1 Owen Leonard 2014-10-10 16:55:47 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2014-10-11 14:55:06 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-10-11 14:55:11 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2014-11-21 23:48:42 UTC
Guys, can you ammend both patches so they apply? They seem trivial but I need to focus on other patches right now for string freeze.
Comment 5 Tomás Cohen Arazi 2014-11-21 23:51:10 UTC
Wrong option chosen :-P
Comment 6 M. Tompsett 2015-03-31 03:04:30 UTC Comment hidden (obsolete)
Comment 7 M. Tompsett 2015-03-31 03:04:39 UTC Comment hidden (obsolete)
Comment 8 M. Tompsett 2015-03-31 03:06:19 UTC
I'm not sure if this should be back to Passed QA or what, but since I fixed it and signed it off. I'll let someone else figure out what's next.
Comment 9 Kyle M Hall 2015-04-03 17:45:54 UTC
Created attachment 37479 [details] [review]
[PASSED QA] Bug 13069 - Enable sort by title to ignore articles on circulation and patron detail pages

With the conversion of the circulation and patron detail checkout
summary tables to AJAX recently we lost the ability to sort by title
while ignoring articles.

This patch corrects the problem by adding the "anti-the" configuration
to the relevant column in the DataTables initializtion script.

To test, apply the patch and clear your cache if necessary. Check out to
a patron who has multiple checkouts, some of which have titles beginning
with "a," "an," and "the." Sorting those checkouts by title should
ignore articles.

Test the patron detail page for that patron as well.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

NOTE: This is the one early in the javascript file.
      This is the one visible by having multiple checkouts
      where the title excluding the articles is a different
      order than titles including the articles.
      Patrons -> Details (scroll down to check out area, view
      checkouts and toggle the title sort)

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Kyle M Hall 2015-04-03 17:45:59 UTC
Created attachment 37480 [details] [review]
[PASSED QA] Bug 13069 - (follow-up) Enable sort by title to ignore articles

This should affect the relatives' checkouts table too.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

NOTE: This is the one later in the javascript file.
      Checkout tab on the patron details page.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Tomás Cohen Arazi 2015-04-13 13:38:21 UTC
Patches pushed to master.

Thanks Martin!
Comment 12 Chris Cormack 2015-04-20 10:19:36 UTC
Pushed to 3.18.x will be in 3.18.6